## odil 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project("odil")
set(odil_MAJOR_VERSION 0)
set(odil_MINOR_VERSION 4)
set(odil_PATCH_VERSION 1)
set(odil_VERSION 
    ${odil_MAJOR_VERSION}.${odil_MINOR_VERSION}.${odil_PATCH_VERSION})

option(BUILD_EXAMPLES "Build the examples directory." ON)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}" ${CMAKE_MODULE_PATH})
include(CTest)

add_subdirectory("src")

if(BUILD_EXAMPLES)
    add_subdirectory("examples")
endif()

if(BUILD_TESTING)
    add_subdirectory("tests")
endif()

add_custom_target(
    CIIntegration ${CMAKE_COMMAND} -E echo "CI Integration"
    SOURCES appveyor.yml .travis.yml)

add_custom_target(
    Documentation ${CMAKE_COMMAND} -E echo "Documentation"
    SOURCES Doxyfile LICENSE.txt README.md)

add_custom_target(
    Registry ${CMAKE_COMMAND} -E echo "Registry"
    SOURCES generate_registry registry.cpp.tmpl registry.h.tmpl)

=== examples/CMakeLists.txt ===
find_package(DCMTK REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(${CMAKE_SOURCE_DIR}/src ${JsonCpp_INCLUDE_DIRS})
add_definitions(
    ${DCMTK_DEFINITIONS}
    -D BOOST_ASIO_DYN_LINK
    -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
)

file(GLOB_RECURSE examples *.cpp)

foreach(example_file ${examples})
    get_filename_component(example ${example_file} NAME_WE)
    add_executable(${example} ${example_file})
    target_link_libraries(${example} odil)
endforeach()

=== src/CMakeLists.txt ===
find_package(Boost REQUIRED COMPONENTS filesystem system)
find_package(DCMTK REQUIRED)
find_package(ICU REQUIRED)
find_package(JsonCpp REQUIRED)

file(GLOB_RECURSE headers "*.h")
file(GLOB_RECURSE templates "*.txx")
file(GLOB_RECURSE files "*.cpp")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR} ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
    ${ICU_INCLUDE_DIRS} ${JsonCpp_INCLUDE_DIRS})
add_definitions(
    ${DCMTK_DEFINITIONS}
    -D BOOST_ASIO_SEPARATE_COMPILATION
    -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
)
link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})

add_library(odil SHARED ${files} ${headers} ${templates})

target_link_libraries(odil
    ${Boost_LIBRARIES} ${DCMTK_LIBRARIES} ${ICU_LIBRARIES} ${JsonCpp_LIBRARIES})
set_target_properties(odil PROPERTIES
    VERSION ${odil_VERSION}
    SOVERSION ${odil_MAJOR_VERSION})

install(FILES ${headers} ${templates} DESTINATION include/odil)
install(
    TARGETS odil
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)

=== tests/CMakeLists.txt ===
find_package(Boost COMPONENTS unit_test_framework REQUIRED)
find_package(DCMTK REQUIRED)
find_package(JsonCpp REQUIRED)

add_subdirectory(tools)

file(GLOB headers *.h)
file(GLOB_RECURSE tests code/*.cpp)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src ${JsonCpp_INCLUDE_DIRS})
add_definitions(
    ${DCMTK_DEFINITIONS}
    -D BOOST_ASIO_DYN_LINK
    -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
    -DBOOST_TEST_DYN_LINK
)
link_directories(${Boost_LIBRARY_DIRS})


foreach(test_file ${tests})
    get_filename_component(test ${test_file} NAME_WE)

    add_executable(${test} ${test_file} ${headers})
    target_link_libraries(${test} odil ${Boost_LIBRARIES})

    file(READ ${test_file} content)

    set(pattern "BOOST_(AUTO|FIXTURE)_TEST_CASE\\(([^),]+)")

    string(REGEX MATCHALL ${pattern} cases ${content})

    foreach(case ${cases})
        string(REGEX REPLACE ${pattern} "\\2" case ${case})
        if(NOT ${case} MATCHES "##")
            add_test("${test}_${case}" "${test}" "--run_test=${case}")
        endif()
    endforeach()

    set(pattern "ElementTest\\([\n ]+([A-Z]+)")

    string(REGEX MATCHALL ${pattern} matches ${content})

    foreach(match ${matches})
        string(REGEX REPLACE ${pattern} "\\1" vr ${match})

        set(case "${vr}FromOdil")
        add_test("${test}_${case}" "${test}" "--run_test=${case}")

        set(case "${vr}ToOdil")
        add_test("${test}_${case}" "${test}" "--run_test=${case}")
    endforeach()

endforeach()

add_custom_target(Runner ${CMAKE_COMMAND} -E echo "Test runner" SOURCES run.sh)

=== tests/tools/CMakeLists.txt ===
find_package(DCMTK REQUIRED)

add_definitions(${DCMTK_DEFINITIONS})
include_directories(${DCMTK_INCLUDE_DIRS})
link_directories(${DCMTK_LIBRARY_DIRS})

file(GLOB headers *.h)
file(GLOB files "*.cc")

add_executable(getscu ${files} ${headers})
target_link_libraries(getscu ${DCMTK_LIBRARIES})

=== debian/changelog ===
odil (0.4.1-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.

  [ Mattia Rizzolo ]
  * Use HTTPS in Vcs-Git.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Julien Lamy <lamy@unistra.fr>  Sun, 28 Feb 2016 16:09:21 +0100

odil (0.4.0-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.
  * Rename package to follow upstream renaming.

  [ Andreas Tille ]
  * Rename packaging git repository

 -- Julien Lamy <lamy@unistra.fr>  Wed, 13 Jan 2016 14:25:34 +0100

dcmtkpp (0.3.1-3) unstable; urgency=medium

  * Disable network-related tests at build time (Closes: #807675)

 -- Julien Lamy <lamy@unistra.fr>  Sun, 13 Dec 2015 16:34:21 +0100

dcmtkpp (0.3.1-2) unstable; urgency=medium

  * build-depend on libdcmtk (Closes: #804570)

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:57 +0100

dcmtkpp (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:32 +0100

dcmtkpp (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #793392)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 16 Jul 2015 15:18:46 +0200

=== debian/control ===
Source: odil
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               d-shlibs,
               cmake,
               pkg-config,
               libjsoncpp-dev,
               libdcmtk-dev | libdcmtk2-dev,
               libicu-dev (>= 4.8.1.1),
               zlib1g-dev,
               uuid-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-test-dev (>= 1.46.1),
               dcmtk (>= 3.6.0),
               doxygen,
               graphviz
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/odil.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/odil.git
Homepage: https://github.com/lamyj/odil

Package: libodil0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libdcmtkpp0
Conflicts: libdcmtkpp0
Replaces: libdcmtkpp0
Description: Odil is a C++11 library for the DICOM standard
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 Odil also provides conversion to and from DCMTK data structures.
 .
 This package contains the shared library.

Package: libodil0-dev
Architecture: any
Section: libdevel
Depends: libodil0 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Provides: libodil-dev, libdcmtkpp-dev
Conflicts: libodil-dev, libdcmtkpp-dev
Replaces: libdcmtkpp-dev
Description: Odil is a C++11 library for the DICOM standard (development files)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the development files.

Package: libodil0-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Provides: libdcmtkpp0-doc
Conflicts: libdcmtkpp0-doc
Replaces: libdcmtkpp0-doc
Description: Odil is a C++11 library for the DICOM standard (documentation)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++0x

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --builddirectory=build --parallel

override_dh_auto_build:
	dh_auto_build
	doxygen && mv doc build

override_dh_auto_test:
	cd build && ../tests/run.sh --no-network -E 'Association|Network|ServiceRole|SCP|SCU|Transport'

override_dh_install:
	dh_install
	d-shlibmove \
		--commit --multiarch --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/* usr/include \
		--override s/libjsoncpp.-dev/libjsoncpp-dev/ \
		--override s/libdcm.*-dev/libdcmtk-dev/ \
		--override s/libof.*-dev/libdcmtk-dev/ \
		--override s/libicuuc.*-dev/libicu-dev/ \
                --override s/libboost_filesystem.*-dev/libboost-filesystem-dev/ \
                --override s/libboost_system.*-dev/libboost-system-dev/ \
		debian/tmp/usr/lib/*.so

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/odil-$1\.tar\.gz/ \
  https://github.com/lamyj/odil/tags .*/v?(\d\S*)\.tar\.gz

## odil 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project("odil")
set(odil_MAJOR_VERSION 0)
set(odil_MINOR_VERSION 7)
set(odil_PATCH_VERSION 0)
set(odil_VERSION
    ${odil_MAJOR_VERSION}.${odil_MINOR_VERSION}.${odil_PATCH_VERSION})

option(BUILD_SHARED_LIBS "Build Odil with shared libraries." ON)
option(BUILD_EXAMPLES "Build the examples directory." ON)
option(BUILD_WRAPPERS "Build the Python Wrappers." ON)

option(WITH_DCMTK "Build the DCMTK converter" ON)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}" ${CMAKE_MODULE_PATH})
include(CTest)
include(cmake/functions.cmake)

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

if(WIN32)
    # Trying the automatic creation of .def files by CMake
    if(${BUILD_SHARED_LIBS})
        set(WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
    endif()

    # We have to set _WIN32_WINNT for Asio
    if(${CMAKE_SYSTEM_VERSION} EQUAL 10) # Windows 10
        add_definitions(-D _WIN32_WINNT=0x0A00)
    elseif(${CMAKE_SYSTEM_VERSION} EQUAL 6.3) # Windows 8.1
        add_definitions(-D _WIN32_WINNT=0x0603)
    elseif(${CMAKE_SYSTEM_VERSION} EQUAL 6.2) # Windows 8
        add_definitions(-D _WIN32_WINNT=0x0602)
    elseif(${CMAKE_SYSTEM_VERSION} EQUAL 6.1) # Windows 7
        add_definitions(-D _WIN32_WINNT=0x0601)
    elseif(${CMAKE_SYSTEM_VERSION} EQUAL 6.0) # Windows Vista
        add_definitions(-D _WIN32_WINNT=0x0600)
    else() # Windows XP (5.1)
        add_definitions(-D _WIN32_WINNT=0x0501)
    endif()
endif()

add_subdirectory("src")
add_subdirectory("applications")

if(BUILD_EXAMPLES)
    add_subdirectory("examples")
endif()

if(BUILD_TESTING)
    add_subdirectory("tests")
endif()

if(BUILD_WRAPPERS)
    add_subdirectory("wrappers")
endif()

add_custom_target(
    CIIntegration ${CMAKE_COMMAND} -E echo "CI Integration"
    SOURCES appveyor.yml .travis.yml)
set_target_properties(CIIntegration PROPERTIES FOLDER "Utils")

add_custom_target(
    Documentation ${CMAKE_COMMAND} -E echo "Documentation"
    SOURCES Doxyfile LICENSE.txt README.md)
set_target_properties(Documentation PROPERTIES FOLDER "Utils")

add_custom_target(
    Registry ${CMAKE_COMMAND} -E echo "Registry"
    SOURCES generate_registry registry.cpp.tmpl registry.h.tmpl)
set_target_properties(Registry PROPERTIES FOLDER "Utils")

=== debian/changelog ===
odil (0.7.0-2) unstable; urgency=medium

  * Fix tests when building i386

 -- Julien Lamy <lamy@unistra.fr>  Tue, 21 Jun 2016 14:29:24 +0200

odil (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 14 Jun 2016 16:12:55 +0200

odil (0.6.0-2) unstable; urgency=medium

  * Make build reproducible

 -- Julien Lamy <lamy@unistra.fr>  Thu, 26 May 2016 08:32:47 +0200

odil (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Thu, 12 May 2016 16:58:04 +0200

odil (0.5.0-3) unstable; urgency=medium

  * Fix building only architecture-dependent packages

 -- Julien Lamy <lamy@unistra.fr>  Fri, 22 Apr 2016 07:48:59 +0200

odil (0.5.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8
  * Fix building only architecture-independent packages (Closes: #822110)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 21 Apr 2016 14:37:08 +0200

odil (0.5.0-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.

  [ Andreas Tille ]
  * Add missing debhelper token to postinst/postrm

 -- Julien Lamy <lamy@unistra.fr>  Fri, 08 Apr 2016 18:29:02 +0200

odil (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Mon, 14 Mar 2016 16:58:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                d-shlibs,
+               dh-python,
                cmake,
                pkg-config,
                libjsoncpp-dev,
@@ -14,14 +15,19 @@
                uuid-dev,
                libboost-dev,
                libboost-filesystem-dev,
+               libboost-python-dev,
+               liblog4cpp5-dev,
                libboost-test-dev (>= 1.46.1),
+               chrpath,
                dcmtk (>= 3.6.0),
-               doxygen,
-               graphviz
-Standards-Version: 3.9.7
+               python,
+               python-nose
+Build-Depends-Indep: doxygen, graphviz
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/odil.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/odil.git
 Homepage: https://github.com/lamyj/odil
+X-Python-Version: >= 2.7
 
 Package: libodil0
 Architecture: any
@@ -31,7 +37,7 @@
 Provides: libdcmtkpp0
 Conflicts: libdcmtkpp0
 Replaces: libdcmtkpp0
-Description: Odil is a C++11 library for the DICOM standard
+Description: C++11 library for the DICOM standard
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
  error handling, generic access to datasets elements, standard JSON and XML 
@@ -51,7 +57,7 @@
 Provides: libodil-dev, libdcmtkpp-dev
 Conflicts: libodil-dev, libdcmtkpp-dev
 Replaces: libdcmtkpp-dev
-Description: Odil is a C++11 library for the DICOM standard (development files)
+Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
  error handling, generic access to datasets elements, standard JSON and XML 
@@ -68,7 +74,7 @@
 Provides: libdcmtkpp0-doc
 Conflicts: libdcmtkpp0-doc
 Replaces: libdcmtkpp0-doc
-Description: Odil is a C++11 library for the DICOM standard (documentation)
+Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
  error handling, generic access to datasets elements, standard JSON and XML 
@@ -77,3 +83,30 @@
  .
  This package contains the documentation files.
 
+Package: python-odil
+Architecture: any
+Section: python
+Depends: libodil0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends}
+Description: C++11 library for the DICOM standard (Python wrappers)
+ Odil leverages C++ constructs to provide a user-friendly API of the 
+ different parts of the DICOM standard. Included in Odil are exception-based
+ error handling, generic access to datasets elements, standard JSON and XML 
+ representation of datasets, and generic implementation of messages, clients
+ and servers for the various DICOM protocols.
+ .
+ This package contains the Python wrappers.
+
+Package: odil
+Architecture: all
+Depends: python-odil, python, ${misc:Depends}
+Description: C++11 library for the DICOM standard (application)
+ Odil leverages C++ constructs to provide a user-friendly API of the 
+ different parts of the DICOM standard. Included in Odil are exception-based
+ error handling, generic access to datasets elements, standard JSON and XML 
+ representation of datasets, and generic implementation of messages, clients
+ and servers for the various DICOM protocols.
+ .
+ This package contains the command-line application.

## odil 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project("odil")
 set(odil_MAJOR_VERSION 0)
 set(odil_MINOR_VERSION 7)
-set(odil_PATCH_VERSION 0)
+set(odil_PATCH_VERSION 2)
 set(odil_VERSION
     ${odil_MAJOR_VERSION}.${odil_MINOR_VERSION}.${odil_PATCH_VERSION})
 
@@ -58,7 +58,7 @@
 
 add_custom_target(
     CIIntegration ${CMAKE_COMMAND} -E echo "CI Integration"
-    SOURCES appveyor.yml .travis.yml)
+    SOURCES appveyor.yml .gitlab-ci.yml .travis.yml)
 set_target_properties(CIIntegration PROPERTIES FOLDER "Utils")
 
 add_custom_target(

=== examples/CMakeLists.txt ===
find_package(Boost REQUIRED)
find_package(DCMTK REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(
    ${CMAKE_SOURCE_DIR}/src ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
    ${JsonCpp_INCLUDE_DIRS})
add_definitions(
    ${DCMTK_DEFINITIONS}
    -D BOOST_ASIO_DYN_LINK
    -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
)
link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})

file(GLOB_RECURSE examples *.cpp)

option(INSTALL_EXAMPLES "Install the examples" OFF)

foreach(example_file ${examples})
    get_filename_component(example ${example_file} NAME_WE)
    add_executable(${example} ${example_file})
    target_link_libraries(${example} libodil)
    if(INSTALL_EXAMPLES)
        install(TARGETS ${example} RUNTIME DESTINATION bin)
    endif()
    set_target_properties(${example} PROPERTIES FOLDER "Examples")
endforeach()

file(GLOB_RECURSE python_examples *.py)
add_custom_target(
    PythonExamples
    ${CMAKE_COMMAND} -E echo "Python examples"
    SOURCES ${python_examples})
set_target_properties(PythonExamples PROPERTIES FOLDER "Examples")

=== src/CMakeLists.txt ===
find_package(Boost REQUIRED COMPONENTS filesystem system)
find_package(ICU REQUIRED)
find_package(JsonCpp REQUIRED)
find_package(Log4Cpp REQUIRED)
if(WITH_DCMTK)
    find_package(DCMTK REQUIRED)
endif()

file(GLOB_RECURSE Header_Files "*.h")
file(GLOB_RECURSE Source_Files "*.cpp")
file(GLOB_RECURSE templates "*.txx")

if(NOT WITH_DCMTK)
    set(pattern "${CMAKE_CURRENT_SOURCE_DIR}/odil/dcmtk/[^;]+[;$]")
    string(REGEX REPLACE ${pattern} "" Header_Files "${Header_Files}")
    string(REGEX REPLACE ${pattern} "" Source_Files "${Source_Files}")
    string(REGEX REPLACE ${pattern} "" templates "${templates}")
endif()

# Regroup files by folder
GroupFiles(Header_Files)
GroupFiles(Source_Files)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR} ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
${ICU_INCLUDE_DIRS} ${Log4Cpp_INCLUDE_DIRS} ${JsonCpp_INCLUDE_DIRS})
add_definitions(
    ${DCMTK_DEFINITIONS}
    -D BOOST_ASIO_SEPARATE_COMPILATION
    -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
)
link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})

add_library(libodil ${Source_Files} ${Header_Files} ${templates})
set_target_properties(libodil PROPERTIES OUTPUT_NAME odil)

target_link_libraries(libodil
    ${Boost_LIBRARIES} ${DCMTK_LIBRARIES} ${ICU_LIBRARIES} ${JsonCpp_LIBRARIES}
    ${Log4Cpp_LIBRARIES})

if(WIN32)
    add_definitions(-DBUILDING_ODIL)
    target_link_libraries(libodil netapi32)
endif()

set_target_properties(libodil PROPERTIES
    VERSION ${odil_VERSION}
    SOVERSION ${odil_MAJOR_VERSION})

install(
    DIRECTORY odil/ DESTINATION include/odil
    FILES_MATCHING PATTERN "*.h" PATTERN "*.txx")
install(
    TARGETS libodil
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,22 +6,39 @@
 
 file(GLOB headers *.h)
 file(GLOB_RECURSE tests code/*.cpp)
+if(NOT WITH_DCMTK)
+    list(
+        REMOVE_ITEM tests
+        ${CMAKE_CURRENT_SOURCE_DIR}/code/conversion.cpp
+        ${CMAKE_CURRENT_SOURCE_DIR}/code/DcmtkException.cpp
+        ${CMAKE_CURRENT_SOURCE_DIR}/code/ElementAccessor.cpp)
+    set(
+        extra_files
+        ${CMAKE_SOURCE_DIR}/src/odil/dcmtk/conversion.cpp
+        ${CMAKE_SOURCE_DIR}/src/odil/dcmtk/ElementAccessor.cpp
+        ${CMAKE_SOURCE_DIR}/src/odil/dcmtk/ElementTraits.cpp
+        ${CMAKE_SOURCE_DIR}/src/odil/dcmtk/Exception.cpp)
+endif()
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src ${JsonCpp_INCLUDE_DIRS})
+include_directories(
+    ${CMAKE_SOURCE_DIR}/src ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
+    ${JsonCpp_INCLUDE_DIRS})
 add_definitions(
     ${DCMTK_DEFINITIONS}
     -D BOOST_ASIO_DYN_LINK
     -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
     -DBOOST_TEST_DYN_LINK
 )
-link_directories(${Boost_LIBRARY_DIRS})
+link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})
 
 
 foreach(test_file ${tests})
     get_filename_component(test ${test_file} NAME_WE)
 
-    add_executable(${test} ${test_file} ${headers})
-    target_link_libraries(${test} odil ${Boost_LIBRARIES})
+    add_executable(test_${test} ${test_file} ${headers} ${extra_files})
+    target_link_libraries(
+        test_${test} libodil ${Boost_LIBRARIES} ${DCMTK_LIBRARIES})
+    set_target_properties(test_${test} PROPERTIES OUTPUT_NAME ${test} FOLDER "Tests")
 
     file(READ ${test_file} content)
 
@@ -52,4 +69,8 @@
 
 endforeach()
 
-add_custom_target(Runner ${CMAKE_COMMAND} -E echo "Test runner" SOURCES run.sh)
+file(GLOB_RECURSE python_tests *.py)
+
+add_custom_target(Runner ${CMAKE_COMMAND} -E echo "Test runner" SOURCES run)
+add_custom_target(
+    PythonTests ${CMAKE_COMMAND} -E echo "Python tests" SOURCES ${python_tests})

=== wrappers/CMakeLists.txt ===
find_package(Boost REQUIRED COMPONENTS python)
find_package(JsonCpp REQUIRED)
find_package(PythonLibs 2.7 REQUIRED)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../src ${Boost_INCLUDE_DIRS}
    ${JsonCpp_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

file(GLOB_RECURSE files "*.cpp")
python_add_module(pyodil SHARED ${files})
set_target_properties(
    pyodil PROPERTIES OUTPUT_NAME odil FOLDER "Wrappers")
if(APPLE)
    set_target_properties(pyodil PROPERTIES SUFFIX ".so")
endif()

target_link_libraries(
    pyodil ${Boost_LIBRARIES} ${JsonCpp_LIBRARIES} libodil ${PYTHON_LIBRARIES})

=== tests/tools/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,6 @@
 file(GLOB headers *.h)
 file(GLOB files "*.cc")
 
-add_executable(getscu ${files} ${headers})
-target_link_libraries(getscu ${DCMTK_LIBRARIES})
+add_executable(dcmtk_getscu ${files} ${headers})
+target_link_libraries(dcmtk_getscu ${DCMTK_LIBRARIES})
+set_target_properties(dcmtk_getscu PROPERTIES OUTPUT_NAME getscu)

=== debian/changelog ===
odil (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Add multiarch meta-data.

 -- Julien Lamy <lamy@unistra.fr>  Fri, 21 Oct 2016 12:12:03 +0200

odil (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 16 Aug 2016 13:15:31 +0200

odil (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Fri, 08 Jul 2016 17:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 Provides: libdcmtkpp0
 Conflicts: libdcmtkpp0
 Replaces: libdcmtkpp0
+Multi-Arch: same
 Description: C++11 library for the DICOM standard
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -57,6 +58,7 @@
 Provides: libodil-dev, libdcmtkpp-dev
 Conflicts: libodil-dev, libdcmtkpp-dev
 Replaces: libdcmtkpp-dev
+Multi-Arch: same
 Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -74,6 +76,7 @@
 Provides: libdcmtkpp0-doc
 Conflicts: libdcmtkpp0-doc
 Replaces: libdcmtkpp0-doc
+Multi-Arch: foreign
 Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -90,6 +93,7 @@
          ${shlibs:Depends},
          ${python:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: C++11 library for the DICOM standard (Python wrappers)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++0x
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build --parallel --with python2

override_dh_auto_build-indep:
	mkdir -pv build
	doxygen && mv -v doc build

override_dh_auto_test-arch:
	cd build && ../tests/run --no-network

override_dh_install-arch:
	dh_install
	chrpath -d debian/python-odil/usr/lib/python*/dist-packages/odil.so
	d-shlibmove \
		--commit --multiarch --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/* usr/include \
		--override s/libjsoncpp.-dev/libjsoncpp-dev/ \
		--override s/libdcm.*-dev/libdcmtk-dev/ \
		--override s/libof.*-dev/libdcmtk-dev/ \
		--override s/libicuuc.*-dev/libicu-dev/ \
                --override s/libboost_filesystem.*-dev/libboost-filesystem-dev/ \
                --override s/libboost_regex.*-dev/libboost-regex-dev/ \
                --override s/libboost_system.*-dev/libboost-system-dev/ \
		debian/tmp/usr/lib/*.so

# These steps are not needed for arch-independent packages
override_dh_auto_configure-indep:
override_dh_auto_test-indep:
override_dh_auto_install-indep:

## odil 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 project("odil")
 set(odil_MAJOR_VERSION 0)
-set(odil_MINOR_VERSION 7)
-set(odil_PATCH_VERSION 2)
+set(odil_MINOR_VERSION 8)
+set(odil_PATCH_VERSION 0)
 set(odil_VERSION
     ${odil_MAJOR_VERSION}.${odil_MINOR_VERSION}.${odil_PATCH_VERSION})
 
@@ -12,19 +12,27 @@
 option(BUILD_WRAPPERS "Build the Python Wrappers." ON)
 
 option(WITH_DCMTK "Build the DCMTK converter" ON)
+option(
+    USE_BUILTIN_DCMTK_GETSCU
+    "Compile a locally packaged version of getscu for old DCMTK versions" ON)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}" ${CMAKE_MODULE_PATH})
 include(CTest)
 include(cmake/functions.cmake)
 
+# Add the C++0x or C++11 flag
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG(-std=c++11 COMPILER_SUPPORTS_CXX11)
+CHECK_CXX_COMPILER_FLAG(-std=c++0x COMPILER_SUPPORTS_CXX0X)
+if(COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+elseif(COMPILER_SUPPORTS_CXX0X)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+endif()
+
 set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 
 if(WIN32)
-    # Trying the automatic creation of .def files by CMake
-    if(${BUILD_SHARED_LIBS})
-        set(WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
-    endif()
-
     # We have to set _WIN32_WINNT for Asio
     if(${CMAKE_SYSTEM_VERSION} EQUAL 10) # Windows 10
         add_definitions(-D _WIN32_WINNT=0x0A00)

=== applications/CMakeLists.txt ===
file(GLOB_RECURSE python_files *.py)
set(python_files ${python_files} odil)
add_custom_target(
    PythonFiles ${CMAKE_COMMAND} -E echo "Python files" SOURCES ${python_files})
set_target_properties(PythonFiles PROPERTIES FOLDER "Examples")

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,15 @@
 include_directories(
     ${CMAKE_SOURCE_DIR}/src ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
     ${JsonCpp_INCLUDE_DIRS})
+
 add_definitions(
     ${DCMTK_DEFINITIONS}
-    -D BOOST_ASIO_DYN_LINK
     -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
 )
+if(BUILD_SHARED_LIBS)
+    add_definitions(-D BOOST_ALL_DYN_LINK)
+endif()
+
 link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})
 
 file(GLOB_RECURSE examples *.cpp)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(Boost REQUIRED COMPONENTS filesystem system)
+find_package(Boost REQUIRED COMPONENTS date_time filesystem system)
 find_package(ICU REQUIRED)
 find_package(JsonCpp REQUIRED)
 find_package(Log4Cpp REQUIRED)
@@ -9,6 +9,9 @@
 file(GLOB_RECURSE Header_Files "*.h")
 file(GLOB_RECURSE Source_Files "*.cpp")
 file(GLOB_RECURSE templates "*.txx")
+list(SORT Header_Files)
+list(SORT Source_Files)
+list(SORT templates)
 
 if(NOT WITH_DCMTK)
     set(pattern "${CMAKE_CURRENT_SOURCE_DIR}/odil/dcmtk/[^;]+[;$]")
@@ -24,11 +27,16 @@
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR} ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
 ${ICU_INCLUDE_DIRS} ${Log4Cpp_INCLUDE_DIRS} ${JsonCpp_INCLUDE_DIRS})
+
 add_definitions(
     ${DCMTK_DEFINITIONS}
     -D BOOST_ASIO_SEPARATE_COMPILATION
     -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
 )
+if(BUILD_SHARED_LIBS)
+    add_definitions(-D BOOST_ALL_DYN_LINK)
+endif()
+
 link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})
 
 add_library(libodil ${Source_Files} ${Header_Files} ${templates})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,15 @@
 include_directories(
     ${CMAKE_SOURCE_DIR}/src ${Boost_INCLUDE_DIRS} ${DCMTK_INCLUDE_DIRS}
     ${JsonCpp_INCLUDE_DIRS})
+
 add_definitions(
     ${DCMTK_DEFINITIONS}
-    -D BOOST_ASIO_DYN_LINK
     -D ODIL_MAJOR_VERSION=${odil_MAJOR_VERSION}
-    -DBOOST_TEST_DYN_LINK
 )
+if(BUILD_SHARED_LIBS)
+    add_definitions(-D BOOST_ALL_DYN_LINK)
+endif()
+
 link_directories(${Boost_LIBRARY_DIRS} ${DCMTK_LIBRARY_DIRS})

=== wrappers/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,17 @@
 find_package(Boost REQUIRED COMPONENTS python)
 find_package(JsonCpp REQUIRED)
+find_package(PythonInterp 2.7 REQUIRED)
 find_package(PythonLibs 2.7 REQUIRED)
+
+if(NOT "${PYTHONLIBS_VERSION_STRING}" STREQUAL "${PYTHON_VERSION_STRING}")
+    message(
+        WARNING
+        "Python version mismatch:  libraries are \"${PYTHONLIBS_VERSION_STRING}\", interpreter is \"${PYTHON_VERSION_STRING}\"")
+endif()
+
+if(BUILD_SHARED_LIBS)
+    add_definitions(-D BOOST_ALL_DYN_LINK)
+endif()
 
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/../src ${Boost_INCLUDE_DIRS}
@@ -8,6 +19,7 @@
 link_directories(${Boost_LIBRARY_DIRS})
 
 file(GLOB_RECURSE files "*.cpp")
+list(SORT files)
 python_add_module(pyodil SHARED ${files})
 set_target_properties(
     pyodil PROPERTIES OUTPUT_NAME odil FOLDER "Wrappers")
@@ -17,3 +29,11 @@
 
 target_link_libraries(
     pyodil ${Boost_LIBRARIES} ${JsonCpp_LIBRARIES} libodil ${PYTHON_LIBRARIES})
+
+execute_process(
+    COMMAND ${PYTHON_EXECUTABLE}
+      -c "from distutils import sysconfig; print( sysconfig.get_python_lib( plat_specific=True, prefix='${CMAKE_INSTALL_PREFIX}' ) )"
+    OUTPUT_VARIABLE PYTHON_SITE_PACKAGES
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+install(TARGETS pyodil DESTINATION ${PYTHON_SITE_PACKAGES})

=== debian/changelog ===
odil (0.8.0-4build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:54:46 +0000

odil (0.8.0-4) unstable; urgency=medium

  * Fix install of Python files (Closes: #878426)
  * Update standards version

 -- Julien Lamy <lamy@unistra.fr>  Sun, 22 Oct 2017 11:30:35 +0200

odil (0.8.0-3.1) unstable; urgency=medium
  * Non-maintainer upload.
  * Fix installation of python3 modules.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2017 09:50:40 +0200

odil (0.8.0-3) unstable; urgency=medium

  [ Julien Lamy ]
  * Fix GCC 7 symbols (Closes: #871301)
  * Fix Python version
  * Update standards version

  [ Andreas Tille ]
  * debhelper 10

 -- Julien Lamy <lamy@unistra.fr>  Tue, 22 Aug 2017 11:38:55 +0200

odil (0.8.0-2) experimental; urgency=medium

  * Update copyright holder (Closes: #861747)
  * Fix building only architecture-dependent packages

 -- Julien Lamy <lamy@unistra.fr>  Tue, 09 May 2017 10:00:18 +0200

odil (0.8.0-1) experimental; urgency=medium

  [ Julien Lamy ]
  * New upstream release.
  * Add Python3 packages.
  * Drop version from -dev and -doc package
  * Update copyright for ctest-to-junit.xsl

  [ Andreas Tille ]
  * Remove some unneeded overrides

 -- Julien Lamy <lamy@unistra.fr>  Wed, 19 Apr 2017 14:51:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Julien Lamy <lamy@unistra.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               d-shlibs,
+Build-Depends: debhelper (>= 10),
+               d-shlibs (>= 0.79),
                dh-python,
                cmake,
+               g++ (>= 4:7),
                pkg-config,
                libjsoncpp-dev,
                libdcmtk-dev | libdcmtk2-dev,
@@ -14,20 +15,24 @@
                zlib1g-dev,
                uuid-dev,
                libboost-dev,
+               libboost-date-time-dev,
                libboost-filesystem-dev,
                libboost-python-dev,
                liblog4cpp5-dev,
                libboost-test-dev (>= 1.46.1),
                chrpath,
                dcmtk (>= 3.6.0),
-               python,
-               python-nose
+               python-dev,
+               python3-dev,
+               python-nose,
+               python3-nose
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/odil.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/odil.git
 Homepage: https://github.com/lamyj/odil
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 
 Package: libodil0
 Architecture: any
@@ -49,15 +54,15 @@
  .
  This package contains the shared library.
 
-Package: libodil0-dev
+Package: libodil-dev
 Architecture: any
 Section: libdevel
 Depends: libodil0 (= ${binary:Version}),
          ${devlibs:Depends},
          ${misc:Depends}
-Provides: libodil-dev, libdcmtkpp-dev
-Conflicts: libodil-dev, libdcmtkpp-dev
-Replaces: libdcmtkpp-dev
+Provides: libodil0-dev, libdcmtkpp-dev
+Conflicts: libodil0-dev, libdcmtkpp-dev
+Replaces: libodil0-dev, libdcmtkpp-dev
 Multi-Arch: same
 Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the 
@@ -68,14 +73,14 @@
  .
  This package contains the development files.
 
-Package: libodil0-doc
+Package: libodil-doc
 Architecture: all
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends}
-Provides: libdcmtkpp0-doc
-Conflicts: libdcmtkpp0-doc
-Replaces: libdcmtkpp0-doc
+Provides: libodil0-doc, libdcmtkpp0-doc
+Conflicts: libodil0-doc, libdcmtkpp0-doc
+Replaces: libodil0-doc, libdcmtkpp0-doc
 Multi-Arch: foreign
 Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the 
@@ -103,6 +108,23 @@
  .
  This package contains the Python wrappers.
 
+Package: python3-odil
+Architecture: any
+Section: python
+Depends: libodil0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
+Multi-Arch: foreign
+Description: C++11 library for the DICOM standard (Python 3 wrappers)
+ Odil leverages C++ constructs to provide a user-friendly API of the 
+ different parts of the DICOM standard. Included in Odil are exception-based
+ error handling, generic access to datasets elements, standard JSON and XML 
+ representation of datasets, and generic implementation of messages, clients
+ and servers for the various DICOM protocols.
+ .
+ This package contains the Python 3 wrappers.
+
 Package: odil
 Architecture: all
 Depends: python-odil, python, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++0x
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Find all Python versions
PYTHON2=$(shell pyversions -vrd)
PYTHON3=$(shell py3versions -vrd)
ALLPY=$(PYTHON2) $(PYTHON3)

# Required to get the full path to the boost.python library
TRIPLET=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --builddirectory=build --with python2,python3

# Base build: no wrappers
override_dh_auto_configure-arch:
	dh_auto_configure -- -DBUILD_WRAPPERS=OFF

override_dh_auto_build-nopy:
	dh_auto_build
	mv build build-nopy

# Reconfigure base build for specific Python version and build wrappers
override_dh_auto_build-py%: override_dh_auto_build-nopy
	cp -a build-nopy build
	dh_auto_configure -- \
	  -DBUILD_WRAPPERS=ON -DPython_ADDITIONAL_VERSIONS=$* \
	  -DPYTHON_EXECUTABLE=/usr/bin/python$* \
	  -DBoost_PYTHON_LIBRARY_DEBUG=/usr/lib/$(TRIPLET)/libboost_python-py$(subst .,,$*).so \
	  -DBoost_PYTHON_LIBRARY_RELEASE=/usr/lib/$(TRIPLET)/libboost_python-py$(subst .,,$*).so
	dh_auto_build
	mv build build-py$*

override_dh_auto_build-arch: override_dh_auto_build-nopy $(ALLPY:%=override_dh_auto_build-py%)

override_dh_auto_build-indep:
	doxygen

override_dh_makeshlibs-arch:
	dh_makeshlibs -V'libodil0 (>= 0.8.0-3)'

# Run C++ tests only on base build
override_dh_auto_test-arch-nopy:
	ln -s build-nopy build
	cd build && ../tests/run --no-network -e ".*"
	rm build

# Run Python tests only on python build
override_dh_auto_test-arch-py%:
	ln -s build-py$* build
	cd build && \
	  ../tests/run --no-network \
	    --nose nosetests$(shell dpkg --compare-versions $* ge 3 && echo "3") \
	    -E ".*"
	rm build

override_dh_auto_test-arch: override_dh_auto_test-arch-nopy $(ALLPY:%=override_dh_auto_test-arch-py%)

# Only auto_install base build: wrappers are installed with *.install files
override_dh_auto_install-arch:
	ln -s build-nopy build
	dh_auto_install
	rm build

override_dh_install-arch-py%:
	sed \
	  's/VERSION/$*/g' \
	  debian/python$(shell dpkg --compare-versions $* ge 3 && echo "3")-odil.install.in > \
	  debian/python$(shell dpkg --compare-versions $* ge 3 && echo "3")-odil.install

override_dh_install-arch: $(ALLPY:%=override_dh_install-arch-py%)
	dh_install
	chrpath -d debian/python*-odil/usr/lib/python*/dist-packages/odil*.so
	d-shlibmove \
		--devunversioned \
		--commit --multiarch --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/* usr/include \
		--override s/libjsoncpp.-dev/libjsoncpp-dev/ \
		--override s/libdcm.*-dev/libdcmtk-dev/ \
		--override s/libof.*-dev/libdcmtk-dev/ \
		--override s/libicuuc.*-dev/libicu-dev/ \
		debian/tmp/usr/lib/*.so

override_dh_fixperms-indep:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/odil/usr/share/odil/store.py

override_dh_clean:
	dh_clean
	find tests -name "*pyc" -delete
	rm -rf build-nopy $(ALLPY:%=build-py%) doc
	rm -f debian/python*-odil.install

# These steps are not needed for arch-independent packages
override_dh_auto_configure-indep:
override_dh_auto_test-indep:
override_dh_auto_install-indep:
override_dh_makeshlibs-indep:
